org.apache.lucene.util

## Enum RamUsageEstimator.JvmFeature

- java.lang.Object
- - java.lang.Enum<RamUsageEstimator.JvmFeature>
  - - org.apache.lucene.util.RamUsageEstimator.JvmFeature

- All Implemented Interfaces:
    Serializable, Comparable<RamUsageEstimator.JvmFeature>
  Enclosing class:
    RamUsageEstimator

      public static enum RamUsageEstimator.JvmFeature
      extends Enum<RamUsageEstimator.JvmFeature>

  JVM diagnostic features.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRAY_HEADER_SIZE`
    `FIELD_OFFSETS`
    `OBJECT_ALIGNMENT`
    `OBJECT_REFERENCE_SIZE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `description`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static RamUsageEstimator.JvmFeature` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RamUsageEstimator.JvmFeature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OBJECT_REFERENCE_SIZE

          public static final RamUsageEstimator.JvmFeature OBJECT_REFERENCE_SIZE

    - #### ARRAY_HEADER_SIZE

          public static final RamUsageEstimator.JvmFeature ARRAY_HEADER_SIZE

    - #### FIELD_OFFSETS

          public static final RamUsageEstimator.JvmFeature FIELD_OFFSETS

    - #### OBJECT_ALIGNMENT

          public static final RamUsageEstimator.JvmFeature OBJECT_ALIGNMENT

  - ### Field Detail

    - #### description

          public final String description

  - ### Method Detail

    - #### values

          public static RamUsageEstimator.JvmFeature[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RamUsageEstimator.JvmFeature c : RamUsageEstimator.JvmFeature.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RamUsageEstimator.JvmFeature valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<RamUsageEstimator.JvmFeature>`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.